KJS::PropertyMap Class Reference

`#include <property_map.h>`

## Public Member Functions

void | clear ()
void | put (const Identifier &name, ValueImp *value, int attributes)
void | remove (const Identifier &name)
ValueImp * | get (const Identifier &name) const
ValueImp * | get (const Identifier &name, int &attributes) const
void | mark () const
void | addEnumerablesToReferenceList (ReferenceList &, const Object &) const
void | addSparseArrayPropertiesToReferenceList (ReferenceList &, const Object &) const
void | save (SavedProperties &) const
void | restore (const SavedProperties &p)

## Detailed Description

Javascript Property Map.

Definition at line 69 of file property_map.h.

The documentation for this class was generated from the following files:

- property_map.h
- property_map.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys